## libansilove 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

set(LIB_VERSION_MAJOR 1)
set(LIB_VERSION_MINOR 1)
set(LIB_VERSION_PATCH 2)
set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})

project (ansilove C)

include(CheckFunctionExists)
include(GNUInstallDirs)

# Check if system has strtonum
check_function_exists(strtonum HAVE_STRTONUM)

# Additional include directories for compat functions and headers
include_directories("compat" "include" "src")

# GD
find_path(GD_INCLUDE_DIRS gd.h)
find_library(GD_LIBRARIES NAMES gd REQUIRED)
include_directories(${GD_INCLUDE_DIRS})

set(SRC src/clean.c src/drawchar.c src/fonts.c src/error.c src/loadfile.c src/init.c src/output.c src/savefile.c)
set(LOADERS src/loaders/ansi.c src/loaders/artworx.c src/loaders/binary.c src/loaders/icedraw.c src/loaders/pcboard.c src/loaders/tundra.c src/loaders/xbin.c)

if(NOT HAVE_STRTONUM)
  set (SRC ${SRC} compat/strtonum.c)
endif()

add_definitions(-Wall -Wextra -std=c99 -pedantic)
add_library(ansilove SHARED ${SRC} ${LOADERS})

target_link_libraries(ansilove ${GD_LIBRARIES} m)
set_target_properties(ansilove PROPERTIES VERSION ${LIB_VERSION_STRING}
                               SOVERSION ${LIB_VERSION_MAJOR})

install(TARGETS ansilove DESTINATION lib)
install(FILES include/ansilove.h DESTINATION include)
install(FILES libansilove.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)

=== debian/changelog ===
libansilove (1.1.2-1) unstable; urgency=medium

  * Initial release. This library is needed for the ansilove package.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Jul 2019 14:05:12 +0200

=== debian/control ===
Source: libansilove
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, libgd-dev, dh-exec
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/ansilove/libansilove

Package: libansilove-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libansilove1 (= ${binary:Version}), ${misc:Depends}
Description: Convert ANSI, ASCII, and other formats to PNG - development files
 This a library to convert ANSi and artscene related file formats into
 PNG images.
 .
 This package provides ansilove library development files.

Package: libansilove1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for converting ANSI, ASCII, and other formats to PNG
 This a library to convert ANSi and artscene related file formats into
 PNG images.

## libansilove 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(LIB_VERSION_MAJOR 1)
 set(LIB_VERSION_MINOR 1)
-set(LIB_VERSION_PATCH 2)
+set(LIB_VERSION_PATCH 5)
 set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})
 
 project (ansilove C)

=== debian/changelog ===
libansilove (1.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 18 Oct 2019 07:51:25 +0200

libansilove (1.1.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 16 Sep 2019 11:45:10 +0200

libansilove (1.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 30 Aug 2019 17:40:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, libgd-dev, dh-exec
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/ansilove/libansilove

## libansilove 1.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 2.6)
 
 set(LIB_VERSION_MAJOR 1)
-set(LIB_VERSION_MINOR 1)
-set(LIB_VERSION_PATCH 5)
+set(LIB_VERSION_MINOR 2)
+set(LIB_VERSION_PATCH 3)
 set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})
 
 project (ansilove C)
@@ -32,9 +32,23 @@
 add_library(ansilove SHARED ${SRC} ${LOADERS})
 
 target_link_libraries(ansilove ${GD_LIBRARIES} m)
-set_target_properties(ansilove PROPERTIES VERSION ${LIB_VERSION_STRING}
-                               SOVERSION ${LIB_VERSION_MAJOR})
 
-install(TARGETS ansilove DESTINATION lib)
-install(FILES include/ansilove.h DESTINATION include)
-install(FILES libansilove.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+set_target_properties(ansilove PROPERTIES
+  VERSION ${LIB_VERSION_STRING} SOVERSION ${LIB_VERSION_MAJOR}
+  C_VISIBILITY_PRESET hidden)
+
+install(TARGETS ansilove DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(FILES include/ansilove.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(FILES man/libansilove.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_clean.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_error.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_init.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_loadfile.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_savefile.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_ansi.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_artworx.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_binary.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_icedraw.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_pcboard.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_tundra.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
+install(FILES man/ansilove_xbin.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)

=== debian/changelog ===
libansilove (1.2.3-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 29 May 2020 09:22:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, libgd-dev, dh-exec
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/ansilove/libansilove

## libansilove 1.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(LIB_VERSION_MAJOR 1)
 set(LIB_VERSION_MINOR 2)
-set(LIB_VERSION_PATCH 3)
+set(LIB_VERSION_PATCH 8)
 set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})
 
 project (ansilove C)
@@ -12,6 +12,7 @@
 
 # Check if system has strtonum
 check_function_exists(strtonum HAVE_STRTONUM)
+check_function_exists(reallocarray HAVE_REALLOCARRAY)
 
 # Additional include directories for compat functions and headers
 include_directories("compat" "include" "src")
@@ -28,7 +29,12 @@
   set (SRC ${SRC} compat/strtonum.c)
 endif()
 
-add_definitions(-Wall -Wextra -std=c99 -pedantic)
+if(NOT HAVE_REALLOCARRAY)
+  set (SRC ${SRC} compat/reallocarray.c)
+endif()
+
+set(CMAKE_C_FLAGS_RELEASE "-D_FORTIFY_SOURCE=2")
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c99 -pedantic)
 add_library(ansilove SHARED ${SRC} ${LOADERS})
 
 target_link_libraries(ansilove ${GD_LIBRARIES} m)

=== example/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project (example C)

# Ansilove library
find_path(ANSILOVE_INCLUDE_DIRS ansilove.h)
find_library(ANSILOVE_LIBRARIES NAMES ansilove REQUIRED)
include_directories(${ANSILOVE_INCLUDE_DIRS})

set(SRC example.c)

add_definitions(-Wall -Wextra -std=c99 -pedantic)
add_executable(example ${SRC})

target_link_libraries(example ${ANSILOVE_LIBRARIES})

=== fuzz/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

set(CMAKE_C_COMPILER clang)

project (fuzz C)

# Ansilove library
find_path(ANSILOVE_INCLUDE_DIRS ansilove.h)
find_library(ANSILOVE_LIBRARIES NAMES ansilove REQUIRED)
include_directories(${ANSILOVE_INCLUDE_DIRS})

set(SRC_ANSI ansi.c)
set(SRC_ARTWORX artworx.c)
set(SRC_BINARY binary.c)
set(SRC_ICEDRAW icedraw.c)
set(SRC_PCBOARD pcboard.c)
set(SRC_TUNDRA tundra.c)
set(SRC_XBIN xbin.c)

add_definitions(-Wall -Wextra -std=c99 -pedantic -fsanitize=fuzzer)
add_executable(ansi ${SRC_ANSI})
add_executable(artworx ${SRC_ANSI})
add_executable(binary ${SRC_BINARY})
add_executable(icedraw ${SRC_BINARY})
add_executable(pcboard ${SRC_BINARY})
add_executable(tundra ${SRC_BINARY})
add_executable(xbin ${SRC_BINARY})

target_link_libraries(ansi ${ANSILOVE_LIBRARIES} -fsanitize=fuzzer)
target_link_libraries(artworx ${ANSILOVE_LIBRARIES} -fsanitize=fuzzer)
target_link_libraries(binary ${ANSILOVE_LIBRARIES} -fsanitize=fuzzer)
target_link_libraries(icedraw ${ANSILOVE_LIBRARIES} -fsanitize=fuzzer)
target_link_libraries(pcboard ${ANSILOVE_LIBRARIES} -fsanitize=fuzzer)
target_link_libraries(tundra ${ANSILOVE_LIBRARIES} -fsanitize=fuzzer)
target_link_libraries(xbin ${ANSILOVE_LIBRARIES} -fsanitize=fuzzer)

=== debian/changelog ===
libansilove (1.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/copyright: added Upstream-Contact.
  * d/shlibs.local: bump versions.
  * d/libansilove-dev.manpages: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 02 Dec 2020 07:50:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libansilove
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), cmake, libgd-dev, dh-exec
+Build-Depends: debhelper-compat (= 13), cmake, libgd-dev, dh-exec
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/ansilove/libansilove

## libansilove 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,15 @@
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
 
 set(LIB_VERSION_MAJOR 1)
-set(LIB_VERSION_MINOR 2)
-set(LIB_VERSION_PATCH 8)
+set(LIB_VERSION_MINOR 3)
+set(LIB_VERSION_PATCH 1)
 set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})
 
-project (ansilove C)
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+set(CMAKE_C_EXTENSIONS OFF)
+
+project(ansilove C)
 
 include(CheckFunctionExists)
 include(GNUInstallDirs)
@@ -26,16 +30,20 @@
 set(LOADERS src/loaders/ansi.c src/loaders/artworx.c src/loaders/binary.c src/loaders/icedraw.c src/loaders/pcboard.c src/loaders/tundra.c src/loaders/xbin.c)
 
 if(NOT HAVE_STRTONUM)
-  set (SRC ${SRC} compat/strtonum.c)
+  set(SRC ${SRC} compat/strtonum.c)
 endif()
 
 if(NOT HAVE_REALLOCARRAY)
-  set (SRC ${SRC} compat/reallocarray.c)
+  set(SRC ${SRC} compat/reallocarray.c)
 endif()
 
-set(CMAKE_C_FLAGS_RELEASE "-D_FORTIFY_SOURCE=2")
-add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c99 -pedantic)
-add_library(ansilove SHARED ${SRC} ${LOADERS})
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -pedantic)
+
+add_library(objlib OBJECT ${SRC} ${LOADERS})
+set_property(TARGET objlib PROPERTY POSITION_INDEPENDENT_CODE ON)
+
+add_library(ansilove SHARED $<TARGET_OBJECTS:objlib>)
+add_library(ansilove-static STATIC $<TARGET_OBJECTS:objlib>)
 
 target_link_libraries(ansilove ${GD_LIBRARIES} m)
 
@@ -44,6 +52,7 @@
   C_VISIBILITY_PRESET hidden)
 
 install(TARGETS ansilove DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(TARGETS ansilove-static DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES include/ansilove.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 install(FILES man/libansilove.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)
 install(FILES man/ansilove_clean.3 DESTINATION ${CMAKE_INSTALL_MANDIR}/man3/)

=== debian/changelog ===
libansilove (1.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 26 Apr 2022 10:23:19 +0200

libansilove (1.3.0-1) unstable; urgency=medium

  * New upstream version.
  * d/not-installed: added as we dont want static linked lib.

 -- Gürkan Myczko <tar@debian.org>  Sat, 23 Apr 2022 18:42:50 +0200

libansilove (1.2.9-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * d/copyright:
    - bump years.
    - fix typo in Files section.
  * d/shlibs.local: bump versions.
  * Bump standards version to 4.6.0.

 -- Gürkan Myczko <tar@debian.org>  Thu, 03 Mar 2022 07:28:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libansilove
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libgd-dev, dh-exec
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/ansilove/libansilove

## libansilove 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1)
 
 set(LIB_VERSION_MAJOR 1)
-set(LIB_VERSION_MINOR 3)
+set(LIB_VERSION_MINOR 4)
 set(LIB_VERSION_PATCH 1)
 set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)

project(example C)

# Ansilove library
find_path(ANSILOVE_INCLUDE_DIRS ansilove.h)
find_library(ANSILOVE_LIBRARIES NAMES ansilove REQUIRED)
include_directories(${ANSILOVE_INCLUDE_DIRS})

set(SRC example.c)

add_definitions(-Wall -Wextra -pedantic)
add_executable(example ${SRC})

target_link_libraries(example ${ANSILOVE_LIBRARIES})

=== fuzz/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
 
 set(CMAKE_C_COMPILER clang)
 
-project (fuzz C)
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+set(CMAKE_C_EXTENSIONS OFF)
+
+project(fuzz C)
 
 # Ansilove library
 find_path(ANSILOVE_INCLUDE_DIRS ansilove.h)
@@ -17,7 +21,7 @@
 set(SRC_TUNDRA tundra.c)
 set(SRC_XBIN xbin.c)
 
-add_definitions(-Wall -Wextra -std=c99 -pedantic -fsanitize=fuzzer)
+add_definitions(-Wall -Wextra -pedantic -fsanitize=fuzzer)
 add_executable(ansi ${SRC_ANSI})
 add_executable(artworx ${SRC_ANSI})
 add_executable(binary ${SRC_BINARY})

=== debian/changelog ===
libansilove (1.4.1-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Jul 2024 05:18:31 +0000

libansilove (1.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Wed, 14 Jun 2023 14:16:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: libansilove
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, libgd-dev, dh-exec
-Standards-Version: 4.6.0
+Maintainer: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ cmake,
+ dh-exec,
+ libgd-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/ansilove/libansilove

## libansilove 1.4.2

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_C_STANDARD_REQUIRED ON)

=== fuzz/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 set(CMAKE_C_COMPILER clang)

=== debian/changelog ===
libansilove (1.4.2-2) unstable; urgency=medium

  * d/watch: update to version 5.
  * d/copyright: bump year.
  * d/control:
    - add Vcs fields.
    - drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Sun, 11 Jan 2026 19:40:30 +0100

libansilove (1.4.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #1113110)
  * Bump standards version to 4.7.2.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Sep 2025 10:42:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
  cmake,
  dh-exec,
  libgd-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/ansilove/libansilove
+Vcs-Browser: https://salsa.debian.org/debian/libansilove
+Vcs-Git: https://salsa.debian.org/debian/libansilove.git
 
 Package: libansilove-dev
 Section: libdevel

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Owner: ansilove
Project: libansilove
Update-Script: uupdate
